Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.action
Interface Executable

All Known Implementing Classes:
  BulkOperationCleanupAction, CollectionAction, CollectionRecreateAction, CollectionRemoveAction, CollectionUpdateAction, EntityAction, EntityDeleteAction, EntityIdentityInsertAction, EntityInsertAction, EntityUpdateAction

    public interface Executable

An operation which may be scheduled for later execution. Usually, the operation is a database insert/update/delete, together with required second-level cache management.

Author:
  Gavin King

Method Summary
`void` | `afterTransactionCompletion(boolean success)` Called after the transaction completes
`void` | `beforeExecutions()` Called before executing any actions
`void` | `execute()` Execute this action
`Serializable[]` | `getPropertySpaces()` What spaces (tables) are affected by this action?
`boolean` | `hasAfterTransactionCompletion()` Do we need to retain this instance until after the transaction completes?

Method Detail

### beforeExecutions

    void beforeExecutions()
                          throws HibernateException

  Called before executing any actions

  Throws:
    `HibernateException`

### execute

    void execute()
                 throws HibernateException

  Execute this action

  Throws:
    `HibernateException`

### hasAfterTransactionCompletion

    boolean hasAfterTransactionCompletion()

  Do we need to retain this instance until after the transaction completes?

  Returns:
    false if this class defines a no-op `hasAfterTransactionCompletion()`

### afterTransactionCompletion

    void afterTransactionCompletion(boolean success)
                                    throws HibernateException

  Called after the transaction completes

  Throws:
    `HibernateException`

### getPropertySpaces

    Serializable[] getPropertySpaces()

  What spaces (tables) are affected by this action?

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD